Sorry, ruby-forum cut off the rest of what I wrote.  The above code 
example is doing the first way for both 1.8 and 1.9.  What's the proper 
way to detect the ruby version or the feature?

Thanks!
Jason Garber
-- 
Posted via http://www.ruby-forum.com/.